package com.ruoyi.project.sems.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScopePlant;
import com.ruoyi.project.sems.domain.TMeasureLoop;

import java.util.List;

/**
 * 腐蚀回路图管理Mapper接口
 *
 * @author ly
 * @date 2024-12-16
 */
public interface TMeasureLoopMapper
{
    /**
     * 查询腐蚀回路图管理
     *
     * @param id 腐蚀回路图管理ID
     * @return 腐蚀回路图管理
     */
    public TMeasureLoop selectTMeasureLoopById(Long id);

    /**
     * 查询腐蚀回路图管理列表
     *
     * @param tMeasureLoop 腐蚀回路图管理
     * @return 腐蚀回路图管理集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TMeasureLoop> selectTMeasureLoopList(TMeasureLoop tMeasureLoop);

    /**
     * 新增腐蚀回路图管理
     *
     * @param tMeasureLoop 腐蚀回路图管理
     * @return 结果
     */
    public int insertTMeasureLoop(TMeasureLoop tMeasureLoop);

    /**
     * 修改腐蚀回路图管理
     *
     * @param tMeasureLoop 腐蚀回路图管理
     * @return 结果
     */
    public int updateTMeasureLoop(TMeasureLoop tMeasureLoop);

    /**
     * 删除腐蚀回路图管理
     *
     * @param id 腐蚀回路图管理ID
     * @return 结果
     */
    public int deleteTMeasureLoopById(Long id);

    /**
     * 批量删除腐蚀回路图管理
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMeasureLoopByIds(Long[] ids);

    List<TMeasureLoop> selectTMeasureLoopUrl(TMeasureLoop tMeasureLoop);

    List<TMeasureLoop> selectTMeasureLoopByPlant(TMeasureLoop tMeasureLoop);
}
